package main

import (
	"fmt"

	"github.com/spf13/cobra"
)

// Vtqe is my own toolbox

func init() {
	cmdMain.AddCommand(tcpingcmd, httpcmd, attachcmd, detachcmd, b64cmd, ftpcmd, gencmd, hashcmd, imageCmd, mergecmd, netcmd, sftpcmd, splitcmd, tcpcmd, udpcmd, viccmd, curlcmd)
}

const vtqe_version string = "v1.0.0rc1"

var cmdMain = &cobra.Command{
	Short: "Victorique's Wisdom ToolBox",
	Long: fmt.Sprintf(`Victorique's Wisdom ToolBox @%v
这是一个可爱且充满智慧的工具箱@B612.ME`, vtqe_version),
	Version: vtqe_version,
}

func main() {
	cmdMain.Execute()
}
